import { AllocateCidrRequest, IIpAddresses, SubnetIpamOptions, VpcIpamOptions } from 'aws-cdk-lib/aws-ec2';
export declare class TieredSubnetsOptions {
    readonly cidr?: string;
    readonly tierMask?: number;
}
export declare class TieredSubnets implements IIpAddresses {
    readonly cidr: string;
    readonly tierMask?: number;
    constructor(options: TieredSubnetsOptions);
    allocateVpcCidr(): VpcIpamOptions;
    allocateSubnetsCidr(input: AllocateCidrRequest): SubnetIpamOptions;
}
